I have been at this for some time and cant get it to read out the correct Phase created name. I just keep getting Phase and an Id number. What am I doing wrong. I even tried to write a python script (that I found on here somewhere and that didn’t work as well it kept pulling Empty list). any help would be greatly appreciated.
import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
items = UnwrapElement(IN[0])
phasecreated = list()
for item in items:
try:
if item.CreatedPhaseID.IntegerValue == -1:
phasecreated.append(list())
else:
phasecreated.append(item.Document.GetElement
(item.CreatedPhaseId))
except:
phasecreated.append(list())
OUT = phasecreated